Ptyxis(1)

NAME
ptyxis - a container-oriented terminal

SYNOPSIS
ptyxis [OPTION]... [-- PROGRAM ARGUMENTS]

DESCRIPTION
ptyxis is a container-oriented, designed for the GNOME desktop. It provides tight integration with podman, toolbox, distrobox, and jhbuild to simplfy container-based development and system management.

--version
    Show the version of the program.

--preferences
    Show the preferences window.

--new-window
    Open a new window in an existing instance of Ptyxis. If Ptyxis is not running, a new instance is started. May be combined with --working-directory and --execute and --title options.

--tab
    Open a new tab in the most-recently-used window of an existing Ptyxis instance. If Ptyxis is not running, a new instance is started. May be combined with --working-directory and --execute and --title options.

-x, --execute
    Execute a custom command. This is similar to using -- to provide the custom command except that the entire command line should be provided as a single argument. In general, you should use -- instead of this option. This is primarily available to be similar to bash -c 'command' May be combined with --working-directory and --title options.

-d, --working-directory
    Set the current working directory for a new tab, window, or custom command.

--title=TITLE
    Sets the title for a new terminal page created with either --tab or --new-window.

--maximize
    Maximize a newly created window.

--fullscreen
    Fullscreen a newly created window.

--tab-with-profile=PROFILE
    Creates a new tab in an existing instance using the specified profile. The profile should be a UUID string which can be found in the profile editor of the preferences dialog.

-s, --standalone
    Start a new instance of Ptyxis, in single instance mode, ignoring any instances already running. Single instance mode is implied when running a -- command.

-s, --gapplication-app-id=ID
    Override the application ID in single instance mode.

-h, --help
    Show a summary of options.

Other standard GNOME options not listed here are also supported.

SEE ALSO
For further information, visit the website https://devsuite.app/ptyxis/

BUGS
Bug reports can be found and filed at https://gitlab.gnome.org/chergert/ptyxis/issues